%define pkg_name        User
%define pkg_version     1.8
%define rpm_pkg_version 1.8
%define rpm_pkg_release 1.n0i.5

Summary:       API for locating user information regardless of OS
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TB/TBONE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module allows applications to retrieve per-user characteristics.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.8-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.6-3.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.6-2.n0i.3
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:1.6-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Oct 04 2004 Marius Feraru <altblue@n0i.net> 0:1.6-1.n0i.1
- version 1.6
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
